From: "Michael Yang" <michaelzcyang@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: app-misc/clifm/, app-misc/clifm/files/
Date: Tue, 6 Jun 2023 04:58:20 +0000 (UTC) [thread overview]
Message-ID: <1686027455.947dc7fb3404c47e396b9fbb705cda0274e5a9cc.michaelzcyang@gentoo> (raw)
commit: 947dc7fb3404c47e396b9fbb705cda0274e5a9cc
Author: Michael Yang <michaelzcyang <AT> gmail <DOT> com>
AuthorDate: Tue Jun 6 04:49:58 2023 +0000
Commit: Michael Yang <michaelzcyang <AT> gmail <DOT> com>
CommitDate: Tue Jun 6 04:57:35 2023 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=947dc7fb
app-misc/clifm: Add back USE flags for various compiled features
Note clifm-1.9 and clifm-1.10 don't have the 'fzf' or 'trash' USE flags;
their associated compile options cause compilation errors. In that case
the features are enabled by default, and, 'app-shells/fzf' becomes an
optional dependency.
Signed-off-by: Michael Yang <michaelzcyang <AT> gmail.com>
app-misc/clifm/clifm-1.10.ebuild | 71 +++++++++++++++++----
app-misc/clifm/clifm-1.11.ebuild | 72 +++++++++++++++++-----
app-misc/clifm/clifm-1.8.ebuild | 71 ++++++++++++++++-----
app-misc/clifm/clifm-1.9.ebuild | 71 +++++++++++++++++----
app-misc/clifm/clifm-9999.ebuild | 72 +++++++++++++++++-----
...lifm-9999-gentoo-skip-manpage-compression.patch | 6 +-
app-misc/clifm/metadata.xml | 52 +++++++++++++++-
7 files changed, 343 insertions(+), 72 deletions(-)
diff --git a/app-misc/clifm/clifm-1.10.ebuild b/app-misc/clifm/clifm-1.10.ebuild
index d13334589..fd5924273 100644
--- a/app-misc/clifm/clifm-1.10.ebuild
+++ b/app-misc/clifm/clifm-1.10.ebuild
@@ -6,7 +6,7 @@ EAPI=8
DESCRIPTION="The command line file manager"
HOMEPAGE="https://github.com/leo-arch/clifm"
-inherit optfeature xdg
+inherit flag-o-matic optfeature xdg
if [[ ${PV} == "9999" ]]; then
EGIT_REPO_URI="https://github.com/leo-arch/clifm.git"
@@ -20,22 +20,58 @@ fi
LICENSE="GPL-2"
SLOT="0"
-IUSE=""
+IUSE="archive +bleach emoji +highlight icons +lira +magic nerdfonts nls
+ posix qsort +suggestions +tags"
PATCHES=(
"${FILESDIR}/${P}-gentoo-skip-manpage-compression.patch"
)
-DEPEND="
+LIB="
sys-libs/libcap
sys-libs/readline:=
sys-apps/acl
- sys-apps/file
+ magic? ( sys-apps/file )
+"
+
+DEPEND="
+ ${LIB}
+ nls? ( sys-devel/gettext )
+"
+RDEPEND="
+ ${LIB}
+ archive? (
+ app-arch/atool
+ sys-fs/archivemount
+ )
+ nls? ( virtual/libintl )
"
-RDEPEND="${DEPEND}"
BDEPEND=""
src_compile() {
+ # emoji > nerdfonts > icons
+ if ! use emoji; then # support for emoji-icons is default
+ if use nerdfonts; then
+ append-cflags "-D_NERD"
+ elif use icons; then
+ append-cflags "-D_ICONS_IN_TERMINAL"
+ fi
+ # do not append -D_NO_ICONS here, causes compilation error
+ fi
+
+ use posix && append-cflags "-D_BE_POSIX"
+ use archive || append-cflags "-D_NO_ARCHIVING"
+ use bleach || append-cflags "-D_NO_BLEACH"
+ use nls || append-cflags "-D_NO_GETTEXT"
+ # -D_NO_FZF causes compile error
+ use highlight || append-cflags "-D_NO_HIGHLIGHT"
+ use lira || append-cflags "-D_NO_LIRA"
+ use magic || append-cflags "-D_NO_MAGIC"
+ use suggestions || append-cflags "-D_NO_SUGGESTIONS"
+ use tags || append-cflags "-D_NO_TAGS"
+ # -D_NO_TRASH causes compile error
+ use qsort && append-cflags "-D_TOURBIN_QSORT"
+
# makefile defaults to /usr/local
emake PREFIX="/usr"
}
@@ -47,14 +83,23 @@ src_install() {
}
pkg_postinst() {
+ xdg_pkg_postinst
+ if use emoji; then
+ use nerdfonts && ewarn "Warning: Use flag 'nerdfonts' overridden by 'emoji'"
+ use icons && ewarn "Warning: Use flag 'icons' overridden by 'emoji'"
+ elif use nerdfonts; then
+ use icons && ewarn "Warning: Use flag 'icons' overridden by 'nerdfonts'"
+ else
+ use icons || ewarn "Warning: as none of 'emoji', 'nerdfonts', or 'icons' were selected, \
+ 'emoji' was implicitly enabled to prevent compilation error"
+ fi
optfeature_header "Install additional optional functionality:"
+ optfeature "mounting/unmounting support" sys-apps/udevil sys-fs/udisks
optfeature "fzf tab completion and more" app-shells/fzf
- optfeature "mounting/unmounting support" sys-fs/udisks sys-apps/udevil
- optfeature_header "Install optional archiving support (if you didn't use -D_NO_ARCHIVING):"
- optfeature "zstd operations" app-arch/zstd
- optfeature "archive extraction/unpacking" app-arch/atool
- optfeature "mounting archives" sys-fs/archivemount
- optfeature "extracting .iso files" app-arch/p7zip
- optfeature "creating .iso files" app-cdr/cdrtools
- xdg_pkg_postinst
+ if use archive; then
+ optfeature_header "Install additional archive support:"
+ optfeature "zstd support" app-arch/zstd
+ optfeature "extracting .iso files" app-arch/p7zip
+ optfeature "creating .iso files" app-cdr/cdrtools
+ fi
}
diff --git a/app-misc/clifm/clifm-1.11.ebuild b/app-misc/clifm/clifm-1.11.ebuild
index d13334589..c1b074b8e 100644
--- a/app-misc/clifm/clifm-1.11.ebuild
+++ b/app-misc/clifm/clifm-1.11.ebuild
@@ -6,7 +6,7 @@ EAPI=8
DESCRIPTION="The command line file manager"
HOMEPAGE="https://github.com/leo-arch/clifm"
-inherit optfeature xdg
+inherit flag-o-matic optfeature xdg
if [[ ${PV} == "9999" ]]; then
EGIT_REPO_URI="https://github.com/leo-arch/clifm.git"
@@ -20,22 +20,61 @@ fi
LICENSE="GPL-2"
SLOT="0"
-IUSE=""
+IUSE="archive +bleach emoji fzf +highlight icons +lira +magic nerdfonts nls
+ posix +profiles qsort +suggestions +tags +trash"
PATCHES=(
"${FILESDIR}/${P}-gentoo-skip-manpage-compression.patch"
)
-DEPEND="
+LIB="
sys-libs/libcap
sys-libs/readline:=
sys-apps/acl
- sys-apps/file
+ magic? ( sys-apps/file )
+"
+
+DEPEND="
+ ${LIB}
+ nls? ( sys-devel/gettext )
+"
+RDEPEND="
+ ${LIB}
+ archive? (
+ app-arch/atool
+ sys-fs/archivemount
+ )
+ fzf? ( app-shells/fzf )
+ nls? ( virtual/libintl )
"
-RDEPEND="${DEPEND}"
BDEPEND=""
src_compile() {
+ # emoji > nerdfonts > icons
+ if ! use emoji; then # support for emoji-icons is default
+ if use nerdfonts; then
+ append-cflags "-D_NERD"
+ elif use icons; then
+ append-cflags "-D_ICONS_IN_TERMINAL"
+ else
+ append-cflags "-D_NO_ICONS"
+ fi
+ fi
+
+ use posix && append-cflags "-D_BE_POSIX"
+ use archive || append-cflags "-D_NO_ARCHIVING"
+ use bleach || append-cflags "-D_NO_BLEACH"
+ use nls || append-cflags "-D_NO_GETTEXT"
+ use fzf || append-cflags "-D_NO_FZF"
+ use highlight || append-cflags "-D_NO_HIGHLIGHT"
+ use lira || append-cflags "-D_NO_LIRA"
+ use magic || append-cflags "-D_NO_MAGIC"
+ use suggestions || append-cflags "-D_NO_SUGGESTIONS"
+ use tags || append-cflags "-D_NO_TAGS"
+ use profiles || append-cflags "-D_NO_PROFILES"
+ use trash || append-cflags "-D_NO_TRASH"
+ use qsort && append-cflags "-D_TOURBIN_QSORT"
+
# makefile defaults to /usr/local
emake PREFIX="/usr"
}
@@ -47,14 +86,19 @@ src_install() {
}
pkg_postinst() {
- optfeature_header "Install additional optional functionality:"
- optfeature "fzf tab completion and more" app-shells/fzf
- optfeature "mounting/unmounting support" sys-fs/udisks sys-apps/udevil
- optfeature_header "Install optional archiving support (if you didn't use -D_NO_ARCHIVING):"
- optfeature "zstd operations" app-arch/zstd
- optfeature "archive extraction/unpacking" app-arch/atool
- optfeature "mounting archives" sys-fs/archivemount
- optfeature "extracting .iso files" app-arch/p7zip
- optfeature "creating .iso files" app-cdr/cdrtools
xdg_pkg_postinst
+ if use emoji; then
+ use nerdfonts && ewarn "Warning: Use flag 'nerdfonts' overridden by 'emoji'"
+ use icons && ewarn "Warning: Use flag 'icons' overridden by 'emoji'"
+ elif use nerdfonts; then
+ use icons && ewarn "Warning: Use flag 'icons' overridden by 'nerdfonts'"
+ fi
+ optfeature_header "Install additional optional functionality:"
+ optfeature "mounting/unmounting support" sys-apps/udevil sys-fs/udisks
+ if use archive; then
+ optfeature_header "Install additional archive support:"
+ optfeature "zstd support" app-arch/zstd
+ optfeature "extracting .iso files" app-arch/p7zip
+ optfeature "creating .iso files" app-cdr/cdrtools
+ fi
}
diff --git a/app-misc/clifm/clifm-1.8.ebuild b/app-misc/clifm/clifm-1.8.ebuild
index d13334589..81235aa9d 100644
--- a/app-misc/clifm/clifm-1.8.ebuild
+++ b/app-misc/clifm/clifm-1.8.ebuild
@@ -6,7 +6,7 @@ EAPI=8
DESCRIPTION="The command line file manager"
HOMEPAGE="https://github.com/leo-arch/clifm"
-inherit optfeature xdg
+inherit flag-o-matic optfeature xdg
if [[ ${PV} == "9999" ]]; then
EGIT_REPO_URI="https://github.com/leo-arch/clifm.git"
@@ -20,22 +20,60 @@ fi
LICENSE="GPL-2"
SLOT="0"
-IUSE=""
+IUSE="archive +bleach emoji fzf +highlight icons +lira +magic nerdfonts nls
+ posix qsort +suggestions +tags +trash"
PATCHES=(
"${FILESDIR}/${P}-gentoo-skip-manpage-compression.patch"
)
-DEPEND="
+LIB="
sys-libs/libcap
sys-libs/readline:=
sys-apps/acl
- sys-apps/file
+ magic? ( sys-apps/file )
+"
+
+DEPEND="
+ ${LIB}
+ nls? ( sys-devel/gettext )
+"
+RDEPEND="
+ ${LIB}
+ archive? (
+ app-arch/atool
+ sys-fs/archivemount
+ )
+ fzf? ( app-shells/fzf )
+ nls? ( virtual/libintl )
"
-RDEPEND="${DEPEND}"
BDEPEND=""
src_compile() {
+ # emoji > nerdfonts > icons
+ if ! use emoji; then # support for emoji-icons is default
+ if use nerdfonts; then
+ append-cflags "-D_NERD"
+ elif use icons; then
+ append-cflags "-D_ICONS_IN_TERMINAL"
+ else
+ append-cflags "-D_NO_ICONS"
+ fi
+ fi
+
+ use posix && append-cflags "-D_BE_POSIX"
+ use archive || append-cflags "-D_NO_ARCHIVING"
+ use bleach || append-cflags "-D_NO_BLEACH"
+ use nls || append-cflags "-D_NO_GETTEXT"
+ use fzf || append-cflags "-D_NO_FZF"
+ use highlight || append-cflags "-D_NO_HIGHLIGHT"
+ use lira || append-cflags "-D_NO_LIRA"
+ use magic || append-cflags "-D_NO_MAGIC"
+ use suggestions || append-cflags "-D_NO_SUGGESTIONS"
+ use tags || append-cflags "-D_NO_TAGS"
+ use trash || append-cflags "-D_NO_TRASH"
+ use qsort && append-cflags "-D_TOURBIN_QSORT"
+
# makefile defaults to /usr/local
emake PREFIX="/usr"
}
@@ -47,14 +85,19 @@ src_install() {
}
pkg_postinst() {
- optfeature_header "Install additional optional functionality:"
- optfeature "fzf tab completion and more" app-shells/fzf
- optfeature "mounting/unmounting support" sys-fs/udisks sys-apps/udevil
- optfeature_header "Install optional archiving support (if you didn't use -D_NO_ARCHIVING):"
- optfeature "zstd operations" app-arch/zstd
- optfeature "archive extraction/unpacking" app-arch/atool
- optfeature "mounting archives" sys-fs/archivemount
- optfeature "extracting .iso files" app-arch/p7zip
- optfeature "creating .iso files" app-cdr/cdrtools
xdg_pkg_postinst
+ if use emoji; then
+ use nerdfonts && ewarn "Warning: Use flag 'nerdfonts' overridden by 'emoji'"
+ use icons && ewarn "Warning: Use flag 'icons' overridden by 'emoji'"
+ elif use nerdfonts; then
+ use icons && ewarn "Warning: Use flag 'icons' overridden by 'nerdfonts'"
+ fi
+ optfeature_header "Install additional optional functionality:"
+ optfeature "mounting/unmounting support" sys-apps/udevil sys-fs/udisks
+ if use archive; then
+ optfeature_header "Install additional archive support:"
+ optfeature "zstd support" app-arch/zstd
+ optfeature "extracting .iso files" app-arch/p7zip
+ optfeature "creating .iso files" app-cdr/cdrtools
+ fi
}
diff --git a/app-misc/clifm/clifm-1.9.ebuild b/app-misc/clifm/clifm-1.9.ebuild
index d13334589..fd5924273 100644
--- a/app-misc/clifm/clifm-1.9.ebuild
+++ b/app-misc/clifm/clifm-1.9.ebuild
@@ -6,7 +6,7 @@ EAPI=8
DESCRIPTION="The command line file manager"
HOMEPAGE="https://github.com/leo-arch/clifm"
-inherit optfeature xdg
+inherit flag-o-matic optfeature xdg
if [[ ${PV} == "9999" ]]; then
EGIT_REPO_URI="https://github.com/leo-arch/clifm.git"
@@ -20,22 +20,58 @@ fi
LICENSE="GPL-2"
SLOT="0"
-IUSE=""
+IUSE="archive +bleach emoji +highlight icons +lira +magic nerdfonts nls
+ posix qsort +suggestions +tags"
PATCHES=(
"${FILESDIR}/${P}-gentoo-skip-manpage-compression.patch"
)
-DEPEND="
+LIB="
sys-libs/libcap
sys-libs/readline:=
sys-apps/acl
- sys-apps/file
+ magic? ( sys-apps/file )
+"
+
+DEPEND="
+ ${LIB}
+ nls? ( sys-devel/gettext )
+"
+RDEPEND="
+ ${LIB}
+ archive? (
+ app-arch/atool
+ sys-fs/archivemount
+ )
+ nls? ( virtual/libintl )
"
-RDEPEND="${DEPEND}"
BDEPEND=""
src_compile() {
+ # emoji > nerdfonts > icons
+ if ! use emoji; then # support for emoji-icons is default
+ if use nerdfonts; then
+ append-cflags "-D_NERD"
+ elif use icons; then
+ append-cflags "-D_ICONS_IN_TERMINAL"
+ fi
+ # do not append -D_NO_ICONS here, causes compilation error
+ fi
+
+ use posix && append-cflags "-D_BE_POSIX"
+ use archive || append-cflags "-D_NO_ARCHIVING"
+ use bleach || append-cflags "-D_NO_BLEACH"
+ use nls || append-cflags "-D_NO_GETTEXT"
+ # -D_NO_FZF causes compile error
+ use highlight || append-cflags "-D_NO_HIGHLIGHT"
+ use lira || append-cflags "-D_NO_LIRA"
+ use magic || append-cflags "-D_NO_MAGIC"
+ use suggestions || append-cflags "-D_NO_SUGGESTIONS"
+ use tags || append-cflags "-D_NO_TAGS"
+ # -D_NO_TRASH causes compile error
+ use qsort && append-cflags "-D_TOURBIN_QSORT"
+
# makefile defaults to /usr/local
emake PREFIX="/usr"
}
@@ -47,14 +83,23 @@ src_install() {
}
pkg_postinst() {
+ xdg_pkg_postinst
+ if use emoji; then
+ use nerdfonts && ewarn "Warning: Use flag 'nerdfonts' overridden by 'emoji'"
+ use icons && ewarn "Warning: Use flag 'icons' overridden by 'emoji'"
+ elif use nerdfonts; then
+ use icons && ewarn "Warning: Use flag 'icons' overridden by 'nerdfonts'"
+ else
+ use icons || ewarn "Warning: as none of 'emoji', 'nerdfonts', or 'icons' were selected, \
+ 'emoji' was implicitly enabled to prevent compilation error"
+ fi
optfeature_header "Install additional optional functionality:"
+ optfeature "mounting/unmounting support" sys-apps/udevil sys-fs/udisks
optfeature "fzf tab completion and more" app-shells/fzf
- optfeature "mounting/unmounting support" sys-fs/udisks sys-apps/udevil
- optfeature_header "Install optional archiving support (if you didn't use -D_NO_ARCHIVING):"
- optfeature "zstd operations" app-arch/zstd
- optfeature "archive extraction/unpacking" app-arch/atool
- optfeature "mounting archives" sys-fs/archivemount
- optfeature "extracting .iso files" app-arch/p7zip
- optfeature "creating .iso files" app-cdr/cdrtools
- xdg_pkg_postinst
+ if use archive; then
+ optfeature_header "Install additional archive support:"
+ optfeature "zstd support" app-arch/zstd
+ optfeature "extracting .iso files" app-arch/p7zip
+ optfeature "creating .iso files" app-cdr/cdrtools
+ fi
}
diff --git a/app-misc/clifm/clifm-9999.ebuild b/app-misc/clifm/clifm-9999.ebuild
index d13334589..c1b074b8e 100644
--- a/app-misc/clifm/clifm-9999.ebuild
+++ b/app-misc/clifm/clifm-9999.ebuild
@@ -6,7 +6,7 @@ EAPI=8
DESCRIPTION="The command line file manager"
HOMEPAGE="https://github.com/leo-arch/clifm"
-inherit optfeature xdg
+inherit flag-o-matic optfeature xdg
if [[ ${PV} == "9999" ]]; then
EGIT_REPO_URI="https://github.com/leo-arch/clifm.git"
@@ -20,22 +20,61 @@ fi
LICENSE="GPL-2"
SLOT="0"
-IUSE=""
+IUSE="archive +bleach emoji fzf +highlight icons +lira +magic nerdfonts nls
+ posix +profiles qsort +suggestions +tags +trash"
PATCHES=(
"${FILESDIR}/${P}-gentoo-skip-manpage-compression.patch"
)
-DEPEND="
+LIB="
sys-libs/libcap
sys-libs/readline:=
sys-apps/acl
- sys-apps/file
+ magic? ( sys-apps/file )
+"
+
+DEPEND="
+ ${LIB}
+ nls? ( sys-devel/gettext )
+"
+RDEPEND="
+ ${LIB}
+ archive? (
+ app-arch/atool
+ sys-fs/archivemount
+ )
+ fzf? ( app-shells/fzf )
+ nls? ( virtual/libintl )
"
-RDEPEND="${DEPEND}"
BDEPEND=""
src_compile() {
+ # emoji > nerdfonts > icons
+ if ! use emoji; then # support for emoji-icons is default
+ if use nerdfonts; then
+ append-cflags "-D_NERD"
+ elif use icons; then
+ append-cflags "-D_ICONS_IN_TERMINAL"
+ else
+ append-cflags "-D_NO_ICONS"
+ fi
+ fi
+
+ use posix && append-cflags "-D_BE_POSIX"
+ use archive || append-cflags "-D_NO_ARCHIVING"
+ use bleach || append-cflags "-D_NO_BLEACH"
+ use nls || append-cflags "-D_NO_GETTEXT"
+ use fzf || append-cflags "-D_NO_FZF"
+ use highlight || append-cflags "-D_NO_HIGHLIGHT"
+ use lira || append-cflags "-D_NO_LIRA"
+ use magic || append-cflags "-D_NO_MAGIC"
+ use suggestions || append-cflags "-D_NO_SUGGESTIONS"
+ use tags || append-cflags "-D_NO_TAGS"
+ use profiles || append-cflags "-D_NO_PROFILES"
+ use trash || append-cflags "-D_NO_TRASH"
+ use qsort && append-cflags "-D_TOURBIN_QSORT"
+
# makefile defaults to /usr/local
emake PREFIX="/usr"
}
@@ -47,14 +86,19 @@ src_install() {
}
pkg_postinst() {
- optfeature_header "Install additional optional functionality:"
- optfeature "fzf tab completion and more" app-shells/fzf
- optfeature "mounting/unmounting support" sys-fs/udisks sys-apps/udevil
- optfeature_header "Install optional archiving support (if you didn't use -D_NO_ARCHIVING):"
- optfeature "zstd operations" app-arch/zstd
- optfeature "archive extraction/unpacking" app-arch/atool
- optfeature "mounting archives" sys-fs/archivemount
- optfeature "extracting .iso files" app-arch/p7zip
- optfeature "creating .iso files" app-cdr/cdrtools
xdg_pkg_postinst
+ if use emoji; then
+ use nerdfonts && ewarn "Warning: Use flag 'nerdfonts' overridden by 'emoji'"
+ use icons && ewarn "Warning: Use flag 'icons' overridden by 'emoji'"
+ elif use nerdfonts; then
+ use icons && ewarn "Warning: Use flag 'icons' overridden by 'nerdfonts'"
+ fi
+ optfeature_header "Install additional optional functionality:"
+ optfeature "mounting/unmounting support" sys-apps/udevil sys-fs/udisks
+ if use archive; then
+ optfeature_header "Install additional archive support:"
+ optfeature "zstd support" app-arch/zstd
+ optfeature "extracting .iso files" app-arch/p7zip
+ optfeature "creating .iso files" app-cdr/cdrtools
+ fi
}
diff --git a/app-misc/clifm/files/clifm-9999-gentoo-skip-manpage-compression.patch b/app-misc/clifm/files/clifm-9999-gentoo-skip-manpage-compression.patch
index 365df14c7..81dd76bba 100644
--- a/app-misc/clifm/files/clifm-9999-gentoo-skip-manpage-compression.patch
+++ b/app-misc/clifm/files/clifm-9999-gentoo-skip-manpage-compression.patch
@@ -2,11 +2,11 @@ Skip manpage compression in makefile.
--- a/Makefile
+++ b/Makefile
-@@ -54,7 +54,6 @@ install: $(BIN)
- $(INSTALL) -m 0755 -d $(DESTDIR)$(DATADIR)/zsh/site-functions
+@@ -55,7 +55,6 @@ install: $(BIN)
+ $(INSTALL) -m 0755 -d $(DESTDIR)$(DESKTOPPREFIX)
$(INSTALL) -m 0755 -d $(DESTDIR)$(DESKTOPICONPREFIX)/scalable/apps
$(INSTALL) -m 0644 misc/manpage $(DESTDIR)$(MANDIR)/man1/$(BIN).1
- gzip -f -- $(DESTDIR)$(MANDIR)/man1/$(BIN).1
$(INSTALL) -m 0644 misc/completions.bash $(DESTDIR)$(DATADIR)/bash-completion/completions/$(BIN)
$(INSTALL) -m 0644 misc/completions.zsh $(DESTDIR)$(DATADIR)/zsh/site-functions/_$(BIN)
- $(INSTALL) -m 0644 misc/$(BIN).desktop $(DESTDIR)$(DESKTOPPREFIX)
+ $(INSTALL) -m 0644 misc/completions.fish $(DESTDIR)$(DATADIR)/fish/vendor_completions.d/$(BIN).fish
diff --git a/app-misc/clifm/metadata.xml b/app-misc/clifm/metadata.xml
index ae399b1f4..1f6b584da 100644
--- a/app-misc/clifm/metadata.xml
+++ b/app-misc/clifm/metadata.xml
@@ -3,13 +3,63 @@
<pkgmetadata>
<longdescription>
The command line file manager.
- By default most features are enabled, customizing this requires adding CFLAGS:
+ More information about the use flags can be found here:
https://github.com/leo-arch/clifm/blob/master/src/README.md#compiling-features-inout
</longdescription>
<maintainer type="person">
<email>michaelzcyang@gmail.com</email>
<name>Michael Yang</name>
</maintainer>
+ <use>
+ <flag name="archive">
+ Archive manipulation support (extraction/decompression, listing, repacking, mounting)
+ </flag>
+ <flag name="bleach">
+ Support for Bleach, the built-in file names cleaner
+ </flag>
+ <flag name="emoji">
+ Enable icons and set them to use the noto-emoji font (see <pkg>media-fonts/noto-emoji</pkg>)
+ </flag>
+ <flag name="fzf">
+ Enable support for tab completion via <pkg>app-shells/fzf</pkg>
+ </flag>
+ <flag name="highlight">
+ Syntax highlighting support
+ </flag>
+ <flag name="icons">
+ Enable icons and set them to use icons-in-terminal (see https://github.com/sebastiencs/icons-in-terminal)
+ </flag>
+ <flag name="lira">
+ Add Lira as the default built-in resource opener
+ </flag>
+ <flag name="magic">
+ Use libmagic from <pkg>sys-apps/file</pkg> to query file MIME types (instead of using the output of the file command)
+ </flag>
+ <flag name="nerdfonts">
+ Enable icons and set them to use NerdFonts
+ </flag>
+ <flag name="nls">
+ Add translations support (via <pkg>sys-devel/gettext</pkg>)
+ </flag>
+ <flag name="posix">
+ Force POSIX.1-2008 compliance, removing support for Linux-specific "file birth time" information
+ </flag>
+ <flag name="profiles">
+ Enable support for creating, switching, renaming, and deleting of user profiles
+ </flag>
+ <flag name="qsort">
+ Use Alexey Tourbin's faster qsort implementation
+ </flag>
+ <flag name="suggestions">
+ Autosuggestion support
+ </flag>
+ <flag name="tags">
+ Built-in file tagging system support
+ </flag>
+ <flag name="trash">
+ FreeDesktop compliant trash system support
+ </flag>
+ </use>
<upstream>
<remote-id type="github">leo-arch/clifm</remote-id>
</upstream>
next reply other threads:[~2023-06-06 4:58 UTC|newest]
Thread overview: 5+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-06-06 4:58 Michael Yang [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-02-19 6:23 [gentoo-commits] repo/proj/guru:dev commit in: app-misc/clifm/, app-misc/clifm/files/ Michael Yang
2023-07-24 8:20 Viorel Munteanu
2023-04-02 22:15 Michael Yang
2023-01-08 7:09 Michael Yang
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1686027455.947dc7fb3404c47e396b9fbb705cda0274e5a9cc.michaelzcyang@gentoo \
--to=michaelzcyang@gmail.com \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox